List the transactions of a bank connection
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "txn-2026-09-salary",
"date": "2026-09-25",
"description": "VIREMENT SALAIRE OCP GROUP",
"amount": 18120.5,
"type": "credit",
"category": "salary",
"balance": 31240.75
},
{
"id": "txn-2026-09-000",
"date": "2026-09-03",
"description": "VIREMENT LOYER",
"amount": -4310,
"type": "debit",
"category": "rent",
"balance": 13120.25
}
],
"total": 2,
"account_holder": "Test Client",
"bank_name": "Attijariwafa bank"
}{
"detail": "<string>"
}{
"detail": {
"code": "bank_scope_not_allowed",
"message": "This workspace is not enabled for the partner bank API."
}
}{
"detail": "Bank connection not found"
}{
"detail": {
"code": "bank_connect_unavailable",
"message": "Bank connection is not available yet. No bank data provider is live for this workspace."
}
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}List the transactions of a bank connection
Required scope: bank:read.
Growth plan. Switched on per workspace by Sahl: until then a key cannot be issued with this scope and calls answer 403 bank_scope_not_allowed. No bank data provider is live: data is a sandbox simulation (send X-Sahl-Environment: sandbox), and in production create, refresh, transactions and analysis answer 409 bank_connect_unavailable.
Simulated transactions, sandbox only today. In production: 409 bank_connect_unavailable.
List the transactions of a bank connection
curl --request GET \
--url https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/partner/bank-connections/{connection_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "txn-2026-09-salary",
"date": "2026-09-25",
"description": "VIREMENT SALAIRE OCP GROUP",
"amount": 18120.5,
"type": "credit",
"category": "salary",
"balance": 31240.75
},
{
"id": "txn-2026-09-000",
"date": "2026-09-03",
"description": "VIREMENT LOYER",
"amount": -4310,
"type": "debit",
"category": "rent",
"balance": 13120.25
}
],
"total": 2,
"account_holder": "Test Client",
"bank_name": "Attijariwafa bank"
}{
"detail": "<string>"
}{
"detail": {
"code": "bank_scope_not_allowed",
"message": "This workspace is not enabled for the partner bank API."
}
}{
"detail": "Bank connection not found"
}{
"detail": {
"code": "bank_connect_unavailable",
"message": "Bank connection is not available yet. No bank data provider is live for this workspace."
}
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}Authorizations
API key created in the console. Scopes: kyc:extract, kyc:verify, kyc:eid; bank:read, bank:write (Growth plan, enabled per workspace by Sahl).